Loading...
Searching...
No Matches
cxx::Weak_ref_base::List Struct Reference

The list type for keeping all weak references to an object. More...

`#include <weak_ref>`

Inheritance diagram for cxx::Weak_ref_base::List:
Collaboration diagram for cxx::Weak_ref_base::List:

## Additional Inherited Members

Public Member Functions inherited from cxx::H_list< Weak_ref_base, Bits::Basic_list_policy< Weak_ref_base, H_list_item_t< Weak_ref_base > > >
void | add (Weak_ref_base *e)
| Add element to the front of the list.
void | push_front (Weak_ref_base *e)
| Add element to the front of the list.
Weak_ref_base * | pop_front ()
| Remove and return the head element of the list.
Iterator | insert (Weak_ref_base *e, Iterator const &pred)
| Insert an element at the iterator position.
Public Member Functions inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< Weak_ref_base, H_list_item_t< Weak_ref_base > > >
bool | empty () const
| Check if the list is empty.
Value_type | front () const
| Return the first element in the list.
void | clear ()
| Remove all elements from the list.
Iterator | begin ()
| Return an iterator to the beginning of the list.
Const_iterator | end () const
| Return a const iterator to the end of the list.
Static Public Member Functions inherited from cxx::H_list< Weak_ref_base, Bits::Basic_list_policy< Weak_ref_base, H_list_item_t< Weak_ref_base > > >
static Iterator | iter (Weak_ref_base *c)
| Return an iterator for an arbitrary list element.
static bool | in_list (Weak_ref_base const *e)
| Check if the given element is currently part of a list.
static Iterator | insert_after (Weak_ref_base *e, Iterator const &pred)
| Insert an element after the iterator position.
static void | insert_before (Weak_ref_base *e, Iterator const &succ)
| Insert an element before the iterator position.
static void | replace (Weak_ref_base *p, Weak_ref_base *e)
| Replace an element in a list with a new element.
static void | remove (Weak_ref_base *e)
| Remove the given element from its list.
static Iterator | erase (Iterator const &e)
| Remove the element at the given iterator position.
Static Public Member Functions inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< Weak_ref_base, H_list_item_t< Weak_ref_base > > >
static Const_iterator | iter (Const_value_type c)
| Return a const iterator that begins at the given element.
Protected Attributes inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< Weak_ref_base, H_list_item_t< Weak_ref_base > > >
Bits::Basic_list_policy< Weak_ref_base, H_list_item_t< Weak_ref_base > >::Head_type | _f
| Pointer to front of the list.

## Detailed Description

The list type for keeping all weak references to an object.

On destruction of a list, all weak references to the respective object are set to nullptr.

Definition at line 38 of file weak_ref.

The documentation for this struct was generated from the following file:

- l4/cxx/weak_ref